#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,320,448,512,640,960,1280
 * N : 25,128,320,448,512,640,960,1280
 * NB : 1,8,16,16,16,24,64,64
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 1; \
   else if ((n_) < 224) (nb_) = 8; \
   else if ((n_) < 576) (nb_) = 16; \
   else if ((n_) < 800) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
